package br.com.bloconotas;

import java.util.List;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.AdapterView;
import android.widget.ListView;
import android.widget.TextView;
import br.com.dao.AbstractFactory;
import br.com.dao.objetos.Nota;

/**
*
* @author Felipe Jacson de Freitas
* 
*/

public class BlocoNotasActivity extends Activity implements OnClickListener {
    /** Called when the activity is first created. */
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        
        AbstractFactory.setContext(getApplicationContext());
        
        setContentView(R.layout.tela);
        
        View btInserir = findViewById(R.id.btInserir);
        btInserir.setOnClickListener(this);
        
        listaNotas();
    }

	@Override
	public void onClick(View v) {
		switch (v.getId()) {
		case R.id.btInserir:			
			try {
				Intent it = new Intent(v.getContext(), EditaNotaActivity.class);
				startActivity(it);
			} catch (Exception e) {
				e.printStackTrace();
			}
			break;
		}
	}
	
	public void listaNotas(){
        Nota n = new Nota();
		List<Nota> lista = n.aplicarFiltro();
        
		ListView listaCarros = (ListView) findViewById(R.id.list);
		
		NotasAdapter adapter = new NotasAdapter(getApplicationContext(), lista);
        listaCarros.setAdapter(adapter);

        ListView list = (ListView) findViewById(R.id.list);
        list.setOnItemClickListener(new AdapterView.OnItemClickListener() {
			public void onItemClick(AdapterView<?> arg0, View arg1,int arg2, long arg3) {
				Intent it = new Intent(arg1.getContext(), EditaNotaActivity.class);
				it.putExtra("idNota", ""+arg1.getTag());
				startActivity(it);
			}
		});
        
        
        TextView lbNotas = (TextView) findViewById(R.id.lbNotas);
        lbNotas.setText("Notas (" + lista.size() + ")");
	}
}