package br.com.bloconotas;

import android.app.Activity;
import android.app.AlertDialog;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.TextView;
import br.com.dao.objetos.Nota;

/**
*
* @author Felipe Jacson de Freitas
* 
*/

public class EditaNotaActivity extends Activity implements OnClickListener {

	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.editanota);

		Intent it = getIntent();
		String notaId = it.getStringExtra("idNota");
		if (notaId != null){
			Nota n = new Nota();
			n.setNotaId(Integer.parseInt(notaId));
			n.open();
			TextView titulo = (TextView) findViewById(R.id.lbNomeNota);
			titulo.setText("" + (n.getDescricao().length() > 25 ? n.getDescricao().substring(0, 25) : n.getDescricao()));

			TextView texto = (TextView) findViewById(R.id.edtTextoNota);
			texto.setText("" + n.getDescricao());
			texto.setTag(n.getNotaId());
		} else {
			TextView titulo = (TextView) findViewById(R.id.lbNomeNota);
			titulo.setText("Nova nota");

			TextView texto = (TextView) findViewById(R.id.edtTextoNota);
			texto.setText("");
			texto.setTag(0);
		}

		View btVoltarSalvar = findViewById(R.id.btVoltar);
		btVoltarSalvar.setOnClickListener(this);
		
		View btExcluir = findViewById(R.id.btExcluir);
		btExcluir.setOnClickListener(this);
	}


	@Override
	public void onClick(View v) {
		switch (v.getId()) {
		case R.id.btVoltar:
			try {
				Nota nota = new Nota();
				AlertDialog.Builder dialogo = new AlertDialog.Builder(EditaNotaActivity.this);
				dialogo.setTitle("Bloco de Notas");

				TextView texto = (TextView)findViewById(R.id.edtTextoNota);
				if (texto.getTag().toString().equals("0")){
					nota.setDescricao(texto.getText().toString());
					nota.insert();
					dialogo.setMessage("Nota inserida com sucesso!");
				} else {
					nota.setDescricao(texto.getText().toString());
					nota.setNotaId(Integer.parseInt(texto.getTag().toString()));
					if(nota.update()) {
						dialogo.setMessage("Nota atualizada com sucesso!");
					} else {
						dialogo.setMessage("Nota no atualizado!");
					}					
				}

				dialogo.setNeutralButton(R.string.ok, null);
				dialogo.show();

				Intent it = new Intent(v.getContext(), BlocoNotasActivity.class);
				startActivity(it);
			} catch (Exception e) {
				e.printStackTrace();
			}
			break;
		case R.id.btExcluir:
			try {
				String notaId = getIntent().getStringExtra("idNota");
				if(notaId != null) {
					AlertDialog.Builder dialogo = new AlertDialog.Builder(EditaNotaActivity.this);
					dialogo.setTitle("Bloco de Notas");
					
					Nota nota = new Nota();
					nota.setNotaId(Integer.parseInt(notaId));
					
					if(nota.delete()) {
						dialogo.setMessage("Nota excluda com sucesso!");
					} else {
						dialogo.setMessage("Nota no excluda!");
					}
					
					dialogo.show();
					Intent it = new Intent(v.getContext(), BlocoNotasActivity.class);
					startActivity(it);
				}
			} catch (Exception e) {
				e.printStackTrace();
			}
			break;
		}

	}

}
