package br.com.bloconotas;

import java.util.List;

import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import android.widget.TextView;
import br.com.dao.objetos.Nota;

/**
*
* @author Felipe Jacson de Freitas
* 
*/

public class NotasAdapter extends BaseAdapter {

	private Context ctx;
	private List<Nota> notas;

	public NotasAdapter(Context ctx, List <Nota> nota) {
		this.ctx = ctx;
		this.notas = nota;
	}

	@Override
	public int getCount() {
		return notas.size();
	}

	@Override
	public Nota getItem(int position) {
		return notas.get(position);
	}

	@Override
	public long getItemId(int position) {
		return notas.get(position).getNotaId();
	}

	@Override
	public View getView(int position, View convertView, ViewGroup parent) {
		View v = LayoutInflater.from(ctx).inflate(R.layout.lista, null);
        Nota n = getItem(position);

        TextView tDescricao = (TextView) v.findViewById(R.id.descricao);
        tDescricao.setText(n.getDescricao().length() > 25 ? n.getDescricao().substring(0, 25) : n.getDescricao());

        v.setTag("" + n.getNotaId());
		return v;
	}
}
