package br.com.dao;

import android.content.Context;
import android.database.sqlite.SQLiteDatabase;
import br.com.dao.objetos.nota.NotaDAO;

/**
*
* @author Felipe Jacson de Freitas
* 
*/

public abstract class AbstractFactory {
	
	private static Context context;
	
	public abstract SQLiteDatabase getConnection(); 
			
	public abstract NotaDAO getNotaDAO();
	
	public static AbstractFactory getInstance() {
		return new SQLiteDAOFactory();
	}

	public static Context getContext() {
		return context;
	}

	public static void setContext(Context context) {
		AbstractFactory.context = context;
	}
	
}