package br.com.dao;

import java.util.Iterator;
import java.util.List;

import android.database.sqlite.SQLiteDatabase;
import br.com.dao.objetos.nota.NotaDAO;
import br.com.dao.objetos.nota.SQLiteNotaDAO;

/**
*
* @author Felipe Jacson de Freitas
* 
*/

public class SQLiteDAOFactory extends AbstractFactory {  

	private final String BANCO = "nota";
	private final String TABELA_NOTA = "CREATE TABLE IF NOT EXISTS NOTA (NOTA_ID INTEGER NOT NULL PRIMARY KEY autoincrement, DESCRICAO varchar2(100));";
	//private final String TABELA_NOTA = "drop table nota;";

	public NotaDAO getNotaDAO() {
		return new SQLiteNotaDAO();
	}

	public SQLiteDatabase getConnection() {
		SQLiteDatabase con = getContext().openOrCreateDatabase(BANCO, 0, null);
		con.execSQL(TABELA_NOTA);
		return con;
	}
	
	public String montaFiltro(List<String> lista, String separador) {
		StringBuffer filtro = new StringBuffer();
		Iterator<String> filtroIt = lista.iterator();
		while(filtroIt.hasNext()) {
			String texto = filtroIt.next();
			filtro.append(texto);
			if(filtroIt.hasNext()) {
				filtro.append(" " + separador + " ");
			}
		}
		return filtro.toString();
	}

}