package br.com.dao.objetos;

import java.util.List;

import br.com.dao.AbstractFactory;
import br.com.dao.objetos.nota.NotaDAO;

/**
*
* @author Felipe Jacson de Freitas
* 
*/

public class Nota {
	
	private int notaId;
	private String descricao;
	
	public Nota() {
		super();
		setNotaId(0);
		setDescricao("");
	}

	public int getNotaId() {
		return notaId;
	}

	public void setNotaId(int notaId) {
		this.notaId = notaId;
	}

	public String getDescricao() {
		return descricao;
	}

	public void setDescricao(String descricao) {
		this.descricao = descricao;
	}
	
	public boolean open() {
		AbstractFactory dao = AbstractFactory.getInstance();
		NotaDAO oNotaDAO = dao.getNotaDAO();
		List<Nota> lNota = oNotaDAO.aplicarFiltro(this);
		if (!lNota.isEmpty()){
			this.setNotaId(lNota.get(0).getNotaId());
			this.setDescricao(lNota.get(0).getDescricao());
			return true;
		}
		return false;
	}	
	
	public boolean insert() {
		AbstractFactory dao = AbstractFactory.getInstance();
		NotaDAO oNotaDAO = dao.getNotaDAO();
		return oNotaDAO.insert(this);
	}
	
	public boolean update() {
		AbstractFactory dao = AbstractFactory.getInstance();
		NotaDAO oNotaDAO = dao.getNotaDAO();
		return oNotaDAO.update(this);
	}
	
	public boolean delete() {
		AbstractFactory dao = AbstractFactory.getInstance();
		NotaDAO oNotaDAO = dao.getNotaDAO();
		return oNotaDAO.delete(this);
	}

	public List<Nota> aplicarFiltro() {
		AbstractFactory dao = AbstractFactory.getInstance();
		NotaDAO oNotaDAO = dao.getNotaDAO();
		return oNotaDAO.aplicarFiltro(this);
	}

	
	
}