package br.com.dao.objetos.nota;

import java.util.ArrayList;
import java.util.List;

import android.database.Cursor;
import android.database.sqlite.SQLiteDatabase;
import br.com.dao.SQLiteDAOFactory;
import br.com.dao.objetos.Nota;

/**
*
* @author Felipe Jacson de Freitas
* 
*/

public class SQLiteNotaDAO extends SQLiteDAOFactory implements NotaDAO, SQLiteNotaMetaDados {

	@Override
	public List<Nota> select(List<String> filtros, String ordem) {
		List<Nota> listaNotas = new ArrayList<Nota>();
		String[] colunas = METADADOSSELECT.split(",");
		SQLiteDatabase con = null;		
		
		try {
			con = getConnection();
			Cursor c = con.query(TABLE, colunas, montaFiltro(filtros, " and "), null, null, null, ordem , null);

			while (c.moveToNext()) {
				Nota n = new Nota();
				n.setNotaId(c.getInt(c.getColumnIndex(PK[0])));
				n.setDescricao(c.getString(c.getColumnIndex("DESCRICAO")));
				listaNotas.add(n);
			}

		} catch (Exception e) {
			e.printStackTrace();
		} finally {
			con.close();
		}
		
		return listaNotas;
		
	}

	@Override
	public boolean insert(Nota nota) {
		SQLiteDatabase con = null;
		try {
			StringBuilder sql = new StringBuilder();
			sql.append("insert into " + TABLE + " (");
			sql.append(METADADOSINSERT + ") ");
			sql.append("values ('" + nota.getDescricao() + "'");
			sql.append(" )");

			con = getConnection();
			con.execSQL(sql.toString());		
			return true;
		} catch (Exception e) {
			return false;
		} finally {
			con.close();
		}
	}

	@Override
	public boolean update(Nota nota) {
		SQLiteDatabase con = null;
		try {
			StringBuilder sql = new StringBuilder();
			sql.append("update " + TABLE + " set DESCRICAO = '" + nota.getDescricao() + "'");
			sql.append(" where NOTA_ID = "+nota.getNotaId());

			con = getConnection();
			con.execSQL(sql.toString());		
			return true;
		} catch (Exception e) {
			return false;
		} finally {
			con.close();
		}
	}

	@Override
	public boolean delete(Nota nota) {
		SQLiteDatabase con = null;
		try {
			StringBuilder sql = new StringBuilder();
			sql.append("delete from " + TABLE);
			sql.append(" where NOTA_ID = " + nota.getNotaId());

			con = getConnection();
			con.execSQL(sql.toString());		
			return true;
		} catch (Exception e) {
			return false;
		} finally {
			con.close();
		}
	}

	@Override
	public List<Nota> aplicarFiltro(Nota nota) {

		List<String> filtros = new ArrayList<String>();

		if(nota.getNotaId() != 0){
			filtros.add(TABLE+"." + PK[0] + "= '" + nota.getNotaId() + "'");
		}

		if(!nota.getDescricao().equals("")){
			filtros.add(TABLE + ".DESCRICAO like '" + nota.getDescricao() + "'");
		}

		return select(filtros, PK[0]);

	}

}